### Home Classes Methods

### In Files

- lib/json/pure/generator.rb

### Methods

- #to_json

### Files

- README.rdoc

### Class/Module Index

Quicksearch

- JSON
- JSON::Ext
- JSON::GeneratorError
- JSON::GenericObject
- JSON::JSONError
- JSON::MissingUnicodeSupport
- JSON::NestingError
- JSON::ParserError
- JSON::Pure
- JSON::Pure::Generator
- JSON::Pure::Generator::GeneratorMethods
- JSON::Pure::Generator::GeneratorMethods::Array
- JSON::Pure::Generator::GeneratorMethods::FalseClass
- JSON::Pure::Generator::GeneratorMethods::Float
- JSON::Pure::Generator::GeneratorMethods::Hash
- JSON::Pure::Generator::GeneratorMethods::Integer
- JSON::Pure::Generator::GeneratorMethods::NilClass
- JSON::Pure::Generator::GeneratorMethods::Object
- JSON::Pure::Generator::GeneratorMethods::String
- JSON::Pure::Generator::GeneratorMethods::String::Extend
- JSON::Pure::Generator::GeneratorMethods::TrueClass
- JSON::Pure::Generator::State
- JSON::Pure::Parser
- JSON::UnparserError
- BigDecimal
- Class
- Complex
- Date
- DateTime
- Exception
- Kernel
- OpenStruct
- Range
- Rational
- Regexp
- Struct
- Symbol
- Time

No matching classes.

# JSON::Pure::Generator::GeneratorMethods::Integer

### Public Instance Methods

to_json(*) click to toggle source

Returns a JSON string representation for this Integer number.

    # File lib/json/pure/generator.rb, line 413
    def to_json(*) to_s end

[Validate]

Generated with the Darkfish Rdoc Generator 2.